Project HermesHermes Docs

List Leads

Retrieve all leads in your account

List Leads

Returns all leads associated with your account.

Lead-list membership is resolved through the company attached to each lead. To inspect one lead list specifically, use:

  • GET /v1/lead-lists/:id/companies
  • GET /v1/lead-lists/:id/leads
curl -H "Authorization: Bearer hermes_your_api_key" \
  https://api.hermes.camie.ai/v1/leads

Response

{
  "success": true,
  "message": "Leads fetched",
  "data": [
    {
      "id": 1,
      "personFirstName": "Mario",
      "personLastName": "User",
      "personRole": null,
      "personEmail": "imemario77@gmail.com",
      "personPhone": null,
      "status": "pending",
      "validationScore": 0,
      "emailValid": false,
      "companyId": null,
      "createdAt": "2026-03-10T12:00:00.000Z"
    }
  ]
}

On this page